Subject: Re: Gnat for win32 does not search include and library paths
From: Pierre Habraken <[email-masked]>
To: Jerry van Dijk <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 08 Oct 2002 09:16:58 +0200

Thanks Jerry for your advice.
I suspected something like that (though I don't know what is mingw).
I presume that the only thing I can do is to re-build Gnat from source
using ACT binaries and gcc 2.8.1 sources.
Has anyone already done this sort of thing ?

Pierre

Jerry van Dijk wrote:
> 
> Pierre Habraken writes:
> 
>  > I am trying but fail to build an X11 program using Cygwin and Gnat
>  > 3.14p.
> 
> I think you like to live on the edge :-)
> 
> If the X11 libs work with cygwin, that means that they are cygwin based.
> Cygwin is a posix emulating runtime.
> 
> GNAT is mingw based and uses the msvcrt runtime.
> 
> So even if the link worked (by presumably also linking in the cygwin runtime)
> you end up with a program using two different runtimes at the same time.
> I do not think that it will be very successful.
> 
> Since the Cygwin license makes it impossible for ACT to build a cygwin based
> public GNAT release, you will need to find X11 libraries that work with
> mingw and use these for linking with GNAT.
> 
> --
> --  Jerry van Dijk   | email: [email-masked]
> --  Leiden, Holland  | web:   users.ncrvnet.nl/gmvdijk

-- 
________________________________________________________________________
Pierre HABRAKEN - mailto:[email-masked]
Tél: 04 76 82 72 83 - Fax: 04 76 82 72 87
IMAG-LSR BP72 38402 SAINT MARTIN D'HERES Cedex
________________________________________________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/